Subject: Re: [PATCH 7/8] pretty: implement 'summary' format

From: Denton Liu <[email-masked]>
Date: Mon, 4 Nov 2019 15:45:05 -0500

On Mon, Nov 04, 2019 at 03:38:54PM -0500, Eric Sunshine wrote:
> On Mon, Nov 4, 2019 at 3:36 PM Denton Liu <[email-masked]> wrote:
> > On Mon, Nov 04, 2019 at 03:16:56PM -0500, Eric Sunshine wrote:
> > > On Mon, Nov 4, 2019 at 3:04 PM Denton Liu <[email-masked]> wrote:
> > > > diff --git a/Documentation/pretty-formats.txt b/Documentation/pretty-formats.txt
> > > > @@ -63,6 +63,15 @@ This is designed to be as compact as possible.
> > > > +* 'summary'
> > > > +
> > > > +         <abbrev hash> ("<title line>", <short author date>)
> > > > ++
> > > > +This format is useful for referring to other commits when writing a new
> > > > +commit message. Although by default, '<abbrev sha1>' is used, this can
> > >
> > > Why does this talk about "sha1" when patch 1/8 removed references to
> > > SHA-1 in favor of generic "hashes"?
> >
> > Good catch. 1/8 modified pretty-formats.txt but this message references
> > the content in SubmittingPatches.
> 
> I'm not sure what you mean. This change is touching
> pretty-formats.txt, not SubmittingPatches.

My mistake, you were referring to the patch text which is also indeed
incorrect. I skimmed your message too quickly and I thought you were
referring to the commit message which also references "sha1" but in the
context of SubmittingPatches.